<?php



$tdataChartGraduatesByYears = array();
$tdataChartGraduatesByYears[".searchableFields"] = array();
$tdataChartGraduatesByYears[".ShortName"] = "ChartGraduatesByYears";
$tdataChartGraduatesByYears[".OwnerID"] = "";
$tdataChartGraduatesByYears[".OriginalTable"] = "applicform";


$defaultPages = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );

$tdataChartGraduatesByYears[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdataChartGraduatesByYears[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdataChartGraduatesByYears[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsChartGraduatesByYears = array();
$fieldToolTipsChartGraduatesByYears = array();
$pageTitlesChartGraduatesByYears = array();
$placeHoldersChartGraduatesByYears = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsChartGraduatesByYears["English"] = array();
	$fieldToolTipsChartGraduatesByYears["English"] = array();
	$placeHoldersChartGraduatesByYears["English"] = array();
	$pageTitlesChartGraduatesByYears["English"] = array();
	$fieldLabelsChartGraduatesByYears["English"]["Years"] = "Years";
	$fieldToolTipsChartGraduatesByYears["English"]["Years"] = "";
	$placeHoldersChartGraduatesByYears["English"]["Years"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2004"] = "TOTALL2004";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2004"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2004"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2005"] = "TOTALL2005";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2005"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2005"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2006"] = "TOTALL2006";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2006"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2006"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2007"] = "TOTALL2007";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2007"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2007"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2008"] = "TOTALL2008";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2008"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2008"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2009"] = "TOTALL2009";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2009"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2009"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2010"] = "TOTALL2010";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2010"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2010"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2011"] = "TOTALL2011";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2011"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2011"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2012"] = "TOTALL2012";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2012"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2012"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2013"] = "TOTALL2013";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2013"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2013"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2014"] = "TOTALL2014";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2014"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2014"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2015"] = "TOTALL2015";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2015"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2015"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2016"] = "TOTALL2016";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2016"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2016"] = "";
	$fieldLabelsChartGraduatesByYears["English"]["TOTALL2017"] = "TOTALL2017";
	$fieldToolTipsChartGraduatesByYears["English"]["TOTALL2017"] = "";
	$placeHoldersChartGraduatesByYears["English"]["TOTALL2017"] = "";
	if (count($fieldToolTipsChartGraduatesByYears["English"]))
		$tdataChartGraduatesByYears[".isUseToolTips"] = true;
}


	$tdataChartGraduatesByYears[".NCSearch"] = true;

	$tdataChartGraduatesByYears[".ChartRefreshTime"] = 0;


$tdataChartGraduatesByYears[".shortTableName"] = "ChartGraduatesByYears";
$tdataChartGraduatesByYears[".nSecOptions"] = 0;

$tdataChartGraduatesByYears[".mainTableOwnerID"] = "";
$tdataChartGraduatesByYears[".entityType"] = 3;

$tdataChartGraduatesByYears[".strOriginalTableName"] = "applicform";

	



$tdataChartGraduatesByYears[".showAddInPopup"] = false;

$tdataChartGraduatesByYears[".showEditInPopup"] = false;

$tdataChartGraduatesByYears[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataChartGraduatesByYears[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataChartGraduatesByYears[".listAjax"] = false;
//	temporary
$tdataChartGraduatesByYears[".listAjax"] = false;

	$tdataChartGraduatesByYears[".audit"] = false;

	$tdataChartGraduatesByYears[".locking"] = false;


$pages = $tdataChartGraduatesByYears[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataChartGraduatesByYears[".edit"] = true;
	$tdataChartGraduatesByYears[".afterEditAction"] = 1;
	$tdataChartGraduatesByYears[".closePopupAfterEdit"] = 1;
	$tdataChartGraduatesByYears[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataChartGraduatesByYears[".add"] = true;
$tdataChartGraduatesByYears[".afterAddAction"] = 1;
$tdataChartGraduatesByYears[".closePopupAfterAdd"] = 1;
$tdataChartGraduatesByYears[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataChartGraduatesByYears[".list"] = true;
}

$tdataChartGraduatesByYears[".updateSelected"] = true;


$tdataChartGraduatesByYears[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataChartGraduatesByYears[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataChartGraduatesByYears[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataChartGraduatesByYears[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataChartGraduatesByYears[".printFriendly"] = true;
}



$tdataChartGraduatesByYears[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataChartGraduatesByYears[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataChartGraduatesByYears[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataChartGraduatesByYears[".isUseAjaxSuggest"] = true;




						

$tdataChartGraduatesByYears[".ajaxCodeSnippetAdded"] = false;

$tdataChartGraduatesByYears[".buttonsAdded"] = false;

$tdataChartGraduatesByYears[".addPageEvents"] = false;

// use timepicker for search panel
$tdataChartGraduatesByYears[".isUseTimeForSearch"] = false;




$tdataChartGraduatesByYears[".allSearchFields"] = array();
$tdataChartGraduatesByYears[".filterFields"] = array();
$tdataChartGraduatesByYears[".requiredSearchFields"] = array();

$tdataChartGraduatesByYears[".googleLikeFields"] = array();
$tdataChartGraduatesByYears[".googleLikeFields"][] = "Years";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2004";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2005";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2006";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2007";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2008";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2009";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2010";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2011";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2012";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2013";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2014";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2015";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2016";
$tdataChartGraduatesByYears[".googleLikeFields"][] = "TOTALL2017";



$tdataChartGraduatesByYears[".tableType"] = "chart";

$tdataChartGraduatesByYears[".printerPageOrientation"] = 0;
$tdataChartGraduatesByYears[".nPrinterPageScale"] = 100;

$tdataChartGraduatesByYears[".nPrinterSplitRecords"] = 40;

$tdataChartGraduatesByYears[".geocodingEnabled"] = false;



// chart settings
$tdataChartGraduatesByYears[".chartType"] = "2DColumn";
// end of chart settings

$tdataChartGraduatesByYears[".isDisplayLoading"] = true;







$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataChartGraduatesByYears[".strOrderBy"] = $tstrOrderBy;

$tdataChartGraduatesByYears[".orderindexes"] = array();

$tdataChartGraduatesByYears[".sqlHead"] = "SELECT `1styear` AS Years,  SUM(YearGraduated=2004) AS TOTALL2004,  SUM(YearGraduated=2005) AS TOTALL2005,  SUM(YearGraduated=2006) AS TOTALL2006,  SUM(YearGraduated=2007) AS TOTALL2007,  SUM(YearGraduated=2008) AS TOTALL2008,  SUM(YearGraduated=2009) AS TOTALL2009,  SUM(YearGraduated=2010) AS TOTALL2010,  SUM(YearGraduated=2011) AS TOTALL2011,  SUM(YearGraduated=2012) AS TOTALL2012,  SUM(YearGraduated=2013) AS TOTALL2013,  SUM(YearGraduated=2014) AS TOTALL2014,  SUM(YearGraduated=2015) AS TOTALL2015,  SUM(YearGraduated=2016) AS TOTALL2016,  SUM(YearGraduated=2017) AS TOTALL2017";
$tdataChartGraduatesByYears[".sqlFrom"] = "FROM applicform";
$tdataChartGraduatesByYears[".sqlWhereExpr"] = "";
$tdataChartGraduatesByYears[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataChartGraduatesByYears[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataChartGraduatesByYears[".arrGroupsPerPage"] = $arrGPP;


$tableKeysChartGraduatesByYears = array();
$tdataChartGraduatesByYears[".Keys"] = $tableKeysChartGraduatesByYears;


$tdataChartGraduatesByYears[".hideMobileList"] = array();




//	Years
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Years";
	$fdata["GoodName"] = "Years";
	$fdata["ownerTable"] = "applicform";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","Years");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "1styear";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`1styear`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["Years"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "Years";
//	TOTALL2004
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "TOTALL2004";
	$fdata["GoodName"] = "TOTALL2004";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2004");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2004";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2004)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2004"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2004";
//	TOTALL2005
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "TOTALL2005";
	$fdata["GoodName"] = "TOTALL2005";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2005");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2005";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2005)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2005"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2005";
//	TOTALL2006
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "TOTALL2006";
	$fdata["GoodName"] = "TOTALL2006";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2006");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2006";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2006)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2006"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2006";
//	TOTALL2007
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "TOTALL2007";
	$fdata["GoodName"] = "TOTALL2007";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2007");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2007";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2007)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2007"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2007";
//	TOTALL2008
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "TOTALL2008";
	$fdata["GoodName"] = "TOTALL2008";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2008");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2008";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2008)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2008"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2008";
//	TOTALL2009
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "TOTALL2009";
	$fdata["GoodName"] = "TOTALL2009";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2009");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2009";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2009)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2009"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2009";
//	TOTALL2010
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "TOTALL2010";
	$fdata["GoodName"] = "TOTALL2010";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2010");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2010";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2010)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2010"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2010";
//	TOTALL2011
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "TOTALL2011";
	$fdata["GoodName"] = "TOTALL2011";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2011");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2011";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2011)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2011"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2011";
//	TOTALL2012
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "TOTALL2012";
	$fdata["GoodName"] = "TOTALL2012";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2012");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2012";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2012)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2012"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2012";
//	TOTALL2013
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "TOTALL2013";
	$fdata["GoodName"] = "TOTALL2013";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2013");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2013";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2013)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2013"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2013";
//	TOTALL2014
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "TOTALL2014";
	$fdata["GoodName"] = "TOTALL2014";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2014");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2014";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2014)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2014"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2014";
//	TOTALL2015
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "TOTALL2015";
	$fdata["GoodName"] = "TOTALL2015";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2015");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2015";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2015)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2015"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2015";
//	TOTALL2016
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "TOTALL2016";
	$fdata["GoodName"] = "TOTALL2016";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2016");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2016";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2016)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2016"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2016";
//	TOTALL2017
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "TOTALL2017";
	$fdata["GoodName"] = "TOTALL2017";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("ChartGraduatesByYears","TOTALL2017");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "TOTALL2017";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(YearGraduated=2017)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataChartGraduatesByYears["TOTALL2017"] = $fdata;
		$tdataChartGraduatesByYears[".searchableFields"][] = "TOTALL2017";

	$tdataChartGraduatesByYears[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">ChartGraduatesByYears</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="0">
			<attr value="name">TOTALL2004</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="1">
			<attr value="name">TOTALL2005</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="2">
			<attr value="name">TOTALL2006</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="3">
			<attr value="name">TOTALL2007</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="4">
			<attr value="name">TOTALL2008</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="5">
			<attr value="name">TOTALL2009</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="6">
			<attr value="name">TOTALL2010</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="7">
			<attr value="name">TOTALL2011</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="8">
			<attr value="name">TOTALL2012</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="9">
			<attr value="name">TOTALL2013</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="10">
			<attr value="name">TOTALL2014</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="11">
			<attr value="name">TOTALL2015</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="12">
			<attr value="name">TOTALL2016</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="13">
			<attr value="name">TOTALL2017</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="14">
		<attr value="name">Years</attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="head">'.xmlencode("Gerson Solulu Scholarship Graduates over the Years").'</attr>
<attr value="foot">'.xmlencode("Years").'</attr>
<attr value="y_axis_label">'.xmlencode("Total Graduates").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">1</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">300</attr>';
$tdataChartGraduatesByYears[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="0">
		<attr value="name">Years</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","Years")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="1">
		<attr value="name">TOTALL2004</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2004")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="2">
		<attr value="name">TOTALL2005</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2005")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="3">
		<attr value="name">TOTALL2006</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2006")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="4">
		<attr value="name">TOTALL2007</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2007")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="5">
		<attr value="name">TOTALL2008</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2008")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="6">
		<attr value="name">TOTALL2009</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2009")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="7">
		<attr value="name">TOTALL2010</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2010")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="8">
		<attr value="name">TOTALL2011</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2011")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="9">
		<attr value="name">TOTALL2012</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2012")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="10">
		<attr value="name">TOTALL2013</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2013")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="11">
		<attr value="name">TOTALL2014</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2014")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="12">
		<attr value="name">TOTALL2015</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2015")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="13">
		<attr value="name">TOTALL2016</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2016")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataChartGraduatesByYears[".chartXml"] .= '<attr value="14">
		<attr value="name">TOTALL2017</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("ChartGraduatesByYears","TOTALL2017")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdataChartGraduatesByYears[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">ChartGraduatesByYears</attr>
<attr value="short_table_name">ChartGraduatesByYears</attr>
</attr>

</chart>';

$tables_data["ChartGraduatesByYears"]=&$tdataChartGraduatesByYears;
$field_labels["ChartGraduatesByYears"] = &$fieldLabelsChartGraduatesByYears;
$fieldToolTips["ChartGraduatesByYears"] = &$fieldToolTipsChartGraduatesByYears;
$placeHolders["ChartGraduatesByYears"] = &$placeHoldersChartGraduatesByYears;
$page_titles["ChartGraduatesByYears"] = &$pageTitlesChartGraduatesByYears;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["ChartGraduatesByYears"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["ChartGraduatesByYears"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_ChartGraduatesByYears()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`1styear` AS Years,  SUM(YearGraduated=2004) AS TOTALL2004,  SUM(YearGraduated=2005) AS TOTALL2005,  SUM(YearGraduated=2006) AS TOTALL2006,  SUM(YearGraduated=2007) AS TOTALL2007,  SUM(YearGraduated=2008) AS TOTALL2008,  SUM(YearGraduated=2009) AS TOTALL2009,  SUM(YearGraduated=2010) AS TOTALL2010,  SUM(YearGraduated=2011) AS TOTALL2011,  SUM(YearGraduated=2012) AS TOTALL2012,  SUM(YearGraduated=2013) AS TOTALL2013,  SUM(YearGraduated=2014) AS TOTALL2014,  SUM(YearGraduated=2015) AS TOTALL2015,  SUM(YearGraduated=2016) AS TOTALL2016,  SUM(YearGraduated=2017) AS TOTALL2017";
$proto0["m_strFrom"] = "FROM applicform";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "1styear",
	"m_strTable" => "applicform",
	"m_srcTableName" => "ChartGraduatesByYears"
));

$proto6["m_sql"] = "`1styear`";
$proto6["m_srcTableName"] = "ChartGraduatesByYears";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "Years";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_SUM";
$proto9["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2004"
));

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto9);

$proto8["m_sql"] = "SUM(YearGraduated=2004)";
$proto8["m_srcTableName"] = "ChartGraduatesByYears";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "TOTALL2004";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$proto12=array();
$proto12["m_functiontype"] = "SQLF_SUM";
$proto12["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2005"
));

$proto12["m_arguments"][]=$obj;
$proto12["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto12);

$proto11["m_sql"] = "SUM(YearGraduated=2005)";
$proto11["m_srcTableName"] = "ChartGraduatesByYears";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "TOTALL2005";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_SUM";
$proto15["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2006"
));

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "SUM(YearGraduated=2006)";
$proto14["m_srcTableName"] = "ChartGraduatesByYears";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "TOTALL2006";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$proto18=array();
$proto18["m_functiontype"] = "SQLF_SUM";
$proto18["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2007"
));

$proto18["m_arguments"][]=$obj;
$proto18["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto18);

$proto17["m_sql"] = "SUM(YearGraduated=2007)";
$proto17["m_srcTableName"] = "ChartGraduatesByYears";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "TOTALL2007";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$proto21=array();
$proto21["m_functiontype"] = "SQLF_SUM";
$proto21["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2008"
));

$proto21["m_arguments"][]=$obj;
$proto21["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto21);

$proto20["m_sql"] = "SUM(YearGraduated=2008)";
$proto20["m_srcTableName"] = "ChartGraduatesByYears";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "TOTALL2008";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$proto24=array();
$proto24["m_functiontype"] = "SQLF_SUM";
$proto24["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2009"
));

$proto24["m_arguments"][]=$obj;
$proto24["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto24);

$proto23["m_sql"] = "SUM(YearGraduated=2009)";
$proto23["m_srcTableName"] = "ChartGraduatesByYears";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "TOTALL2009";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$proto27=array();
$proto27["m_functiontype"] = "SQLF_SUM";
$proto27["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2010"
));

$proto27["m_arguments"][]=$obj;
$proto27["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto27);

$proto26["m_sql"] = "SUM(YearGraduated=2010)";
$proto26["m_srcTableName"] = "ChartGraduatesByYears";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "TOTALL2010";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$proto30=array();
$proto30["m_functiontype"] = "SQLF_SUM";
$proto30["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2011"
));

$proto30["m_arguments"][]=$obj;
$proto30["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto30);

$proto29["m_sql"] = "SUM(YearGraduated=2011)";
$proto29["m_srcTableName"] = "ChartGraduatesByYears";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "TOTALL2011";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$proto33=array();
$proto33["m_functiontype"] = "SQLF_SUM";
$proto33["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2012"
));

$proto33["m_arguments"][]=$obj;
$proto33["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto33);

$proto32["m_sql"] = "SUM(YearGraduated=2012)";
$proto32["m_srcTableName"] = "ChartGraduatesByYears";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "TOTALL2012";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$proto36=array();
$proto36["m_functiontype"] = "SQLF_SUM";
$proto36["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2013"
));

$proto36["m_arguments"][]=$obj;
$proto36["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto36);

$proto35["m_sql"] = "SUM(YearGraduated=2013)";
$proto35["m_srcTableName"] = "ChartGraduatesByYears";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "TOTALL2013";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$proto39=array();
$proto39["m_functiontype"] = "SQLF_SUM";
$proto39["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2014"
));

$proto39["m_arguments"][]=$obj;
$proto39["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto39);

$proto38["m_sql"] = "SUM(YearGraduated=2014)";
$proto38["m_srcTableName"] = "ChartGraduatesByYears";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "TOTALL2014";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$proto42=array();
$proto42["m_functiontype"] = "SQLF_SUM";
$proto42["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2015"
));

$proto42["m_arguments"][]=$obj;
$proto42["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto42);

$proto41["m_sql"] = "SUM(YearGraduated=2015)";
$proto41["m_srcTableName"] = "ChartGraduatesByYears";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "TOTALL2015";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$proto45=array();
$proto45["m_functiontype"] = "SQLF_SUM";
$proto45["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2016"
));

$proto45["m_arguments"][]=$obj;
$proto45["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto45);

$proto44["m_sql"] = "SUM(YearGraduated=2016)";
$proto44["m_srcTableName"] = "ChartGraduatesByYears";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "TOTALL2016";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto47=array();
			$proto48=array();
$proto48["m_functiontype"] = "SQLF_SUM";
$proto48["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "YearGraduated=2017"
));

$proto48["m_arguments"][]=$obj;
$proto48["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto48);

$proto47["m_sql"] = "SUM(YearGraduated=2017)";
$proto47["m_srcTableName"] = "ChartGraduatesByYears";
$proto47["m_expr"]=$obj;
$proto47["m_alias"] = "TOTALL2017";
$obj = new SQLFieldListItem($proto47);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto50=array();
$proto50["m_link"] = "SQLL_MAIN";
			$proto51=array();
$proto51["m_strName"] = "applicform";
$proto51["m_srcTableName"] = "ChartGraduatesByYears";
$proto51["m_columns"] = array();
$proto51["m_columns"][] = "MPGID";
$proto51["m_columns"][] = "StudentSchoolID";
$proto51["m_columns"][] = "Surname";
$proto51["m_columns"][] = "FirstName";
$proto51["m_columns"][] = "Photo";
$proto51["m_columns"][] = "Gender";
$proto51["m_columns"][] = "DateofBirth";
$proto51["m_columns"][] = "PlaceofBirth";
$proto51["m_columns"][] = "DistrictOfBirth";
$proto51["m_columns"][] = "ProvinceOfBirth";
$proto51["m_columns"][] = "FatherVillage";
$proto51["m_columns"][] = "FatherLLG";
$proto51["m_columns"][] = "FatherDistrict";
$proto51["m_columns"][] = "FATHERJOB";
$proto51["m_columns"][] = "FATHERSNAME";
$proto51["m_columns"][] = "FATHERSURNAME";
$proto51["m_columns"][] = "FATHERPROV";
$proto51["m_columns"][] = "MOTHERJOB";
$proto51["m_columns"][] = "MOTHERNAME";
$proto51["m_columns"][] = "MOTHERSURNAME";
$proto51["m_columns"][] = "MOTHERNATIONAL";
$proto51["m_columns"][] = "FATHERNATIONAL";
$proto51["m_columns"][] = "FATHERCLAN";
$proto51["m_columns"][] = "MOTHERCLAN";
$proto51["m_columns"][] = "MOTHERRELIGION";
$proto51["m_columns"][] = "FATHERRELIGION";
$proto51["m_columns"][] = "FATHERBIRTHPLACE";
$proto51["m_columns"][] = "MOTHERBIRTHPLACE";
$proto51["m_columns"][] = "MotherVillage";
$proto51["m_columns"][] = "MotherLLG";
$proto51["m_columns"][] = "MotherDistrict";
$proto51["m_columns"][] = "MOTHERPROV";
$proto51["m_columns"][] = "LastInstitutuonAttended";
$proto51["m_columns"][] = "HighestGradeCompleted";
$proto51["m_columns"][] = "YearHighestGradeCompleted";
$proto51["m_columns"][] = "TertiaryInstitutionAdmitted";
$proto51["m_columns"][] = "ProgramName";
$proto51["m_columns"][] = "ProgramCode";
$proto51["m_columns"][] = "WitnessName";
$proto51["m_columns"][] = "WitnessOccupation";
$proto51["m_columns"][] = "WitnessAddress";
$proto51["m_columns"][] = "1styear";
$proto51["m_columns"][] = "1styearTesas";
$proto51["m_columns"][] = "1styearFee";
$proto51["m_columns"][] = "Paid1stYearFee";
$proto51["m_columns"][] = "Repeat1stYear";
$proto51["m_columns"][] = "Repeat1stTESAS";
$proto51["m_columns"][] = "Repeatd1stYearFee";
$proto51["m_columns"][] = "Paid1stYrRepeatFee";
$proto51["m_columns"][] = "Passd1stYear";
$proto51["m_columns"][] = "sem1year1";
$proto51["m_columns"][] = "Year2nd";
$proto51["m_columns"][] = "TESAS2ndYear";
$proto51["m_columns"][] = "Fee2ndYear";
$proto51["m_columns"][] = "Paid2ndYearFee";
$proto51["m_columns"][] = "Repeated2ndYear";
$proto51["m_columns"][] = "Repeat2ndYrTESAS";
$proto51["m_columns"][] = "Repeat2ndYearFee";
$proto51["m_columns"][] = "Paid2ndYrRepeatFee";
$proto51["m_columns"][] = "Passd2ndYear";
$proto51["m_columns"][] = "sem1year2";
$proto51["m_columns"][] = "Year3rd";
$proto51["m_columns"][] = "TESAS3rdYear";
$proto51["m_columns"][] = "Fee3rdYear";
$proto51["m_columns"][] = "Paid3rdYrFee";
$proto51["m_columns"][] = "Repeatd3rdYear";
$proto51["m_columns"][] = "Repeat3rdYrTESAS";
$proto51["m_columns"][] = "Repeatd3rdYrFee";
$proto51["m_columns"][] = "Paid3rdYrRepeatFee";
$proto51["m_columns"][] = "Passd3rdYear";
$proto51["m_columns"][] = "sem1year3";
$proto51["m_columns"][] = "Year4th";
$proto51["m_columns"][] = "TESAS4thYear";
$proto51["m_columns"][] = "Fee4thYear";
$proto51["m_columns"][] = "Paid4thYearFee";
$proto51["m_columns"][] = "Repeated4thYear";
$proto51["m_columns"][] = "Repeath4thYrTESAS";
$proto51["m_columns"][] = "Repeat4thYrFee";
$proto51["m_columns"][] = "Paid4thYrRepeatFee";
$proto51["m_columns"][] = "Passd4thYear";
$proto51["m_columns"][] = "sem1year4";
$proto51["m_columns"][] = "Year5th";
$proto51["m_columns"][] = "TESAS5thYear";
$proto51["m_columns"][] = "Fee5thYear";
$proto51["m_columns"][] = "Paid5thYearFee";
$proto51["m_columns"][] = "Repeat5thYear";
$proto51["m_columns"][] = "Repeat5thYrTESAS";
$proto51["m_columns"][] = "Repeat5thYrFEE";
$proto51["m_columns"][] = "Paid5thYrRepeatFee";
$proto51["m_columns"][] = "Passdd5thYr";
$proto51["m_columns"][] = "sem1year5";
$proto51["m_columns"][] = "Graduated";
$proto51["m_columns"][] = "YearGraduated";
$proto51["m_columns"][] = "PostingtoSchool";
$proto51["m_columns"][] = "PostingsLLG";
$proto51["m_columns"][] = "ScholarshipType";
$proto51["m_columns"][] = "Comments";
$proto51["m_columns"][] = "NewApplicant";
$proto51["m_columns"][] = "Judge1Comment";
$proto51["m_columns"][] = "Reapply";
$proto51["m_columns"][] = "EmailAddrssAppl";
$proto51["m_columns"][] = "MobileNoAppl";
$proto51["m_columns"][] = "GPA";
$proto51["m_columns"][] = "approved1";
$proto51["m_columns"][] = "approved2";
$proto51["m_columns"][] = "approved3";
$proto51["m_columns"][] = "Judge2Comment";
$proto51["m_columns"][] = "Judge3Comment";
$proto51["m_columns"][] = "JudgeComment";
$proto51["m_columns"][] = "Lat";
$proto51["m_columns"][] = "Lng";
$proto51["m_columns"][] = "Documents";
$proto51["m_columns"][] = "judge1id";
$proto51["m_columns"][] = "judee2id";
$proto51["m_columns"][] = "judge3id";
$proto51["m_columns"][] = "username";
$proto51["m_columns"][] = "transcripts";
$proto51["m_columns"][] = "acceptletter";
$proto51["m_columns"][] = "gradetencert";
$proto51["m_columns"][] = "grade12cert";
$proto51["m_columns"][] = "natid";
$proto51["m_columns"][] = "sem2year1";
$proto51["m_columns"][] = "sem2year2";
$proto51["m_columns"][] = "sem2year3";
$proto51["m_columns"][] = "sem2year4";
$proto51["m_columns"][] = "sem2year5";
$proto51["m_columns"][] = "y1housingtype";
$proto51["m_columns"][] = "y2housingtype";
$proto51["m_columns"][] = "y3housingtype";
$proto51["m_columns"][] = "y4housingtype";
$proto51["m_columns"][] = "y5housingtype";
$proto51["m_columns"][] = "comment1";
$proto51["m_columns"][] = "comment2";
$proto51["m_columns"][] = "comment3";
$proto51["m_columns"][] = "comment4";
$proto51["m_columns"][] = "comment5";
$proto51["m_columns"][] = "assessed";
$proto51["m_columns"][] = "assessed1";
$proto51["m_columns"][] = "assessed2";
$proto51["m_columns"][] = "assessed3";
$proto51["m_columns"][] = "assessed4";
$proto51["m_columns"][] = "assessed5";
$proto51["m_columns"][] = "parentsnowliving";
$proto51["m_columns"][] = "active";
$proto51["m_columns"][] = "reset_token";
$proto51["m_columns"][] = "reset_date";
$obj = new SQLTable($proto51);

$proto50["m_table"] = $obj;
$proto50["m_sql"] = "applicform";
$proto50["m_alias"] = "";
$proto50["m_srcTableName"] = "ChartGraduatesByYears";
$proto52=array();
$proto52["m_sql"] = "";
$proto52["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto52["m_column"]=$obj;
$proto52["m_contained"] = array();
$proto52["m_strCase"] = "";
$proto52["m_havingmode"] = false;
$proto52["m_inBrackets"] = false;
$proto52["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto52);

$proto50["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto50);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="ChartGraduatesByYears";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_ChartGraduatesByYears = createSqlQuery_ChartGraduatesByYears();


	
		;

															

$tdataChartGraduatesByYears[".sqlquery"] = $queryData_ChartGraduatesByYears;

$tableEvents["ChartGraduatesByYears"] = new eventsBase;
$tdataChartGraduatesByYears[".hasEvents"] = false;

?>